Subject: [Rserpool] Comments on draft-ietf-rserpool-arch-02.txt

From: Harrie Hazewinkel <[email-masked]>
Date: Sun, 05 May 2002 23:33:22 +0200

HI,

I have the following comments on draft-ietf-rserpool-arch-02.txt:

1) Introduction
Maybe it is obvious to some, but IMHO the introduction
should contain some text for which this is used
and where rserpool is applicable.
The first time I see something related to this is the section
of '2.1. RSerPool Functional Components' paragraph;
"A server pool is defined as a set.....for example."

2) Definitions section
The term "pool element" sounds quit general to me, since the word
element is so general. Would the word 'agent' not be better.

On top of that as being the definition;
     Pool element:
          A server entity having registered to a pool.
Is there a specific term for the element/entity of the pool
to which is registered?? In the general sense that would
be an element of the pool as well.

I still miss some of the definitions such as ENRP server
which are defined in other drafts, but are used in this
draft.

3) '2.1. RSerPool Functional Components'
"Each server pool will be identifiable by a unique name which is
simply a byte string, called the pool handle.
[Editors note] Isn't a byte string more appropriate than an
ASCII string."

I agree here with the editors note. Having it an ASCII string
rules out names in various languages. So an UTF-8 string would
be usefull. (Or even just an octet (instead of byte) string when
also binary names are allowed.)

4)
"To fulfill the performance requirements given in [RFC3237] these names
are not valid in the whole Internet but only in smaller parts, called
the operational scope. Also, the namespace is flat."

I don't understand this. I suggest additional text to
explain this.

5)
"The second class of entities"
The first class is not discussed as being the first class.

6)
"This information includes:
 - A protocol field of the IP header specifying the upper layer
   protocol.
 - A port number if the upper layer protocol is SCTP, TCP or UDP."

I believe one speaks here about the IP layer. I am not sure
what the purpose of this is and how it relates to the name servers.
I suggest additional text and explanaition.

7) 2.2. RSerPool Protocol Overview
"The RSerPool requested features can be obtained with the help of two
protocols: ENRP (Endpoint Name Resolution Protocol) and ASAP (Aggregate
Server Access Protocol)."

So if the requested features can be obtained via both of these protocols
then the question of "why are we doing both??" is allowed.
IMHO, this needs better epxlaining. Section 2.2.1 and 2.2.2 give more
background, but so far I have not really between where the different
protocols are used.

8) 2.2.4. PE <-> ES Communication
It is funny to see that an ENRP server (of which you expect
it to communicate with ENRP) also does ASAP. So I believe that
the choice of using ES/ENRP server is sub-optimal
where name-server would have been better.

'ENRP server' is used throughout the document.

9) Figure 4: Protocol stack between PU and PE
This figure suddenly introduces ULP.
I have no clue where it comes from and was never mentioned
before (Not even in the abbreviations). Therefore, the question
what does this have to do with rserpool??

10) 2.3. Typical Interactions between RSerPool Components
"Each PE in a pool uses ASAP to register or de-register itself
as well as to exchange other auxiliary information with the
ENRP Server. The ENRP Server also uses ASAP to monitor the
operational status of each PE in a pool."

I cannot relate this to section 2.2.2. Aggregate Server Access Protocol
"ASAP in conjunction with ENRP provides a fault tolerant data transfer
mechanism over IP networks."

In the latter one speaks about data transfer where section
2.3 looks to me as a pool management functionality.

Maybe the document should better explain what is data.
Data which goes to clients such as my http-browser or
is data meaning data to operate the server pool.

11) Figure 6
I would suggest to take the outer box away and mention it
directly as the 'operation scope'. Make it more clear and
allows better use of the space, I guess.

I also would like to know whether the ENRP/name server is
part of the server pool. I believe it is not, but the text
could be more clear about it.

12) Figure 6; text for 'd'

How is this possible?? I believe that there is not real
communication between Pool Elements (PE). So how can a
single PE decide to become a Pool User (PU) of a different
pool??

I would merely argue that this is just a special case of
dual registration for a pool Element (PE) where he is registered
to different ENRP server.

13) Figure 6 text for 'f'

I do not believe that the mentioning of 'other clients'
provides any additional usefull information.
I would merely argue that the proxy/gateway is the entrance
to the rserpool environment and thus the access for all
elements such as other clients.

Another question is whether the proxy/gateway is not just some
kind of Pool User. If so, this could be made more clear.

14) 3.1. Two File Transfer Examples

The text says; "In this section we present two separate file
transfer examples using ENRP and ASAP." Is the task to make
a new protocol that can do file transfer??

I understand this technology could be used within an FTP
server, but that is (I believe) not made visible to that
user. Therefore, the text confuses me.

Also you change the transport protocol for the file transfer.
Is it envisioned that suddenly the complete FTP protocol
gets redone??

The following text is also interesting:
"Please note that in the example we do NOT follow FTP [RFC959] precisely
but use FTP-like concepts and attempt to adhere to the basic FTP model."

Are we breaking the FTP protocol here or ...??

15) Figure 7

I see that this picture is taken from figure 6, but
it looks better if it gets a bit better layout-ed.
(minor point)

Also this figure does not explain the elements. For instance,
the figure also has '(b)" in it. The description is the sequence
of the actions/request that are done.
This also counts for figure 8 and 9

16) Examples
OK, you use different examples and you cannot make all kinds of
examples. Still...

Something not clear to me from the document.
How should I name for instance a WWW-serice named
www.ietf.org when I can use to different protocols
such as HTTP and HTTPS. In a url the first part
specifies the protocol, but what does this do in
rserpool??

17)
Some other point, but why do we have 2 seperate
protocols (ASAP and ENRP)?? Understandong some how the
similarities in the protocols and their use it
could be easily said. Maybe a section explaining the
reason for these two different protocols is usefull.
(I guess I would not be the first to think this)

Hoping that these comment are somehow usefull for the
interim meeting.

regards,

Harrie

Internet Management Consulting
tel: +39-3474932300
mailto: [email-masked]                   http://www.lisanza.net/    

_______________________________________________
rserpool mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rserpool